Sábado, Agosto 13, 2022

Llegan las versiones correctivas de samba solucionando 5 vulnerabilidades

samba

Hace poco se dieron a conocer la liberación de las diferentes versiones correctivas de Samba 4.16.4, 4.15.9 y 4.14.14, corrigiendo 5 vulnerabilidades (CVE-2022-2031CVE-2022-32742CVE-2022-32744CVE-2022-32745 y CVE-2022-32746).

De las cuales se menciona que la vulnerabilidad más peligrosa es (CVE-2022-32744), ya que permite a los usuarios del dominio de Active Directory cambiar la contraseña de cualquier usuario, incluida la capacidad de cambiar la contraseña de administrador y tomar el control total del dominio. El problema se debe a que el KDC acepta solicitudes kpasswd cifradas con cualquier clave conocida.

Esta vulnerabilidad podía ser explotada cuando un atacante que tiene acceso al dominio puede enviar una solicitud de contraseña nueva falsa en nombre de otro usuario, cifrándola con su propia clave, y el KDC la procesará sin verificar que la clave de la cuenta coincida. Esto incluye el uso de claves de controlador de dominio de solo lectura (RODC) que no tienen la autoridad para cambiar contraseñas para enviar solicitudes falsas.

Como solución temporal, puede desactivar la compatibilidad con el protocolo kpasswd agregando la línea «kpasswd port=0» a smb.conf.

Otra de las vulnerabilidades que fue solucionada y en la cual se puso tambien especial atención fue en CVE-2022-32742, ya que este fallo filtró información sobre el contenido de la memoria del servidor mediante manipulaciones con el protocolo SMB1.

Es decir, un cliente SMB1 que tiene acceso de escritura al almacenamiento compartido puede hacer provisiones para escribir partes de la memoria del proceso del servidor en un archivo o en una impresora. El ataque se realiza mediante el envío de una solicitud de «escritura» con un rango incorrecto. El problema solo afecta a las ramas de Samba anteriores a 4.11 (la compatibilidad con SMB1 está deshabilitada de forma predeterminada en la rama 4.11).

De las otras vulnerabilidades que fueron solucionadas con el lanzamiento de estas nuevas versiones correctivas, son las siguientes:

  • CVE-2022-32746: los usuarios de Active Directory, mediante el envío de solicitudes LDAP de «agregar» o «modificar» especialmente diseñadas, pueden iniciar el acceso a la memoria después de liberarla en un proceso de servidor. El problema se debe al hecho de que el módulo de registro de auditoría accede al contenido del mensaje LDAP después de que el módulo de base de datos libera la memoria asignada para el mensaje. Para realizar un ataque, es necesario tener derechos para agregar o modificar algunos atributos privilegiados, como userAccountControl.
  • CVE-2022-2031: los usuarios de Active Directory pueden omitir algunas restricciones en un controlador de dominio. El KDC y el servicio kpasswd pueden descifrar los boletos del otro porque comparten el mismo conjunto de claves y cuentas. En consecuencia, el usuario que solicitó un cambio de contraseña puede utilizar el ticket recibido para acceder a otros servicios.
  • CVE-2022-32745: los usuarios de Active Directory pueden hacer que un proceso del servidor se bloquee al enviar solicitudes LDAP de «agregar» o «modificar», lo que da como resultado el acceso a datos no inicializados.

Finalmente si estás interesado en poder conocer más al respecto sobre los fallos solucionados, puedes consultar los detalles en el siguiente enlace.

¿Cómo instalar o actualizar a Samba en Ubuntu y derivados?

Bien, para quienes estén interesados en poder instalar estas nuevas versiones correctivas de Samba o quieren actualizar su versión anterior a esta nueva, pueden hacerlo siguiendo los pasos que compartimos a continuación.

Cabe mencionar que, aunque samba está incluido dentro de los repositorios de Ubuntu, deben saber que los paquetes no son actualizados al momento de que se libera una nueva versión, por lo que preferimos en este caso hacer uso de un repositorio.

Lo primero que vamos a hacer es abrir una terminal y en ella vamos a teclear el siguiente comando para añadir un repositorio al sistema:

sudo add-apt-repository ppa:linux-schools/samba-latest

sudo apt-get update

Ya añadido el repositorio procedemos a realizar la instalación de samba en el sistema y para ello basta con que tecleemos el siguiente comando:

sudo apt install samba

Si ya cuentas con una versión anterior instalada, esta se actualizará de forma automática.

 

Fuente: ubunlog

¿Quién está en línea?

Hay 354 invitados y ningún miembro en línea

Contador de Visitas

13631835
Hoy Hoy 2099
Ayer Ayer 3721
Esta semana Esta semana 21924
Este mes Este mes 47745
Total de Visitas Total de Visitas 13631835

Día con más
visitantes

07-19-2022 : 4236

Gracias por su visita